% Mixture Models (CCToolbox/mixtures)
%  CCToolbox 1.0
%
% Subfolders
%  mixtures\cAPI\       - Curve APIs
%  mixtures\like\       - Loglikelihood calculation
%  mixtures\pred\       - Partial curve prediction
%  mixtures\simulate\   - Cluster model simulation
%  mixtures\tools\      - Cluster model tools
%  mixtures\view\       - Cluster model visualization
%
% Standard clustering models
%  lrm        - Cluster curves with Linear Regression Mixtures (LRM)
%  srm        - Cluster curves with Spline Regression Mixtures (SRM)
%  gmix       - Cluster vectors with Gaussian mixtures
%  kmeans     - Cluster vectors with K-means
%
% Regression mixtures with measurement space alignment
%  lrm_d      - LRM with transformation y=[x]+d
%  lrm_cd     - LRM with transformation y=c[x]+d
%  srm_d      - SRM with transformation y=[x]+d
%  srm_cd     - SRM with transformation y=c[x]+d
%
% Regression mixtures with time alignment
%  lrm_b      - LRM with transformation y=[x+b]
%  lrm_ab     - LRM with transformation y=[ax+b]
%  srm_b      - SRM with transformation y=[x+b]
%  srm_ab     - SRM with transformation y=[ax+b]
%
% Regression mixtures with space and time alignment
%  lrm_d_b    - LRM with transformation y=[x+b]+d
%  lrm_cd_b   - LRM with transformation y=c[x+b]+d
%  lrm_d_ab   - LRM with transformation y=[ax+b]+d
%  lrm_cd_ab  - LRM with transformation y=c[ax+b]+d
%  srm_d_b    - SRM with transformation y=[x+b]+d
%
% See also CCTOOLBOX

% Scott J. Gaffney   18 May 2005
% University of California, Irvine