% Utilities (CCToolbox/utils)
%  CCToolbox 1.0
%
% Subfolders
%  utils\cellfun\  - Cell array functions
%
% Plotting utilities
%  AddAxesPos      - Add values to current axes positions
%  AxisClose       - Set axis limits to tight and then loosen just a bit
%  AxisEqual       - Set DataAspectRatio uniform aspect ratio
%  ScaleAxesPos    - Scale axes position values
%  SetAxesPos      - Set axes position values
%  SetLabelPos     - Set axes label positions
%  EqualLimits     - Set uniform axes limit vectors
%  SpreadAxes      - Spread the axes in a figure for better separation
%  gaa             - Get all of the axes handles in a figure
%  sampfun         - Draw a sample of points from a polynomial function
%
% Parameter processing
%  cEmpty          - Get empty or default values
%  cExist          - Check existence or set default
%  SetFieldDef     - Set default field values
%  usage           - Outputs usage message in standard format
%
% Matrix utilities
%  copy            - Copies a vector and repeats its elements
%  diag3           - 3D diagonal
%  isvector        - Determine if X is a vector
%  normalize       - Normalize matrix elements
%  permutations    - Generate all permutations recursively
%  sprod           - Sequence product
%  ssprod          - Scaled sequence product
%  ssum            - Sequence summation
%  vec2str         - Convert entries of a vector into cell array of strings
% 
% Other
%  SwapClasses     - Swap classes/fields according to map or true model
%  MatchClusters    - Solve factorial class/label mapping problem
%  SortCls         - Sort classified data without destroying classification
%  unsort          - Unshuffles a sorted index
%  markov          - Fit markov model
%  cubform         - Find roots of cubic equation
%
% See also CCTOOLBOX

% Scott J. Gaffney   18 May 2005
% University of California, Irvine